# ================================================================

use strict;

# ================================================================

my($tSanitizedTargetID)=&sanitize(&decodeAsURL($main::gQueryURL{$main::iQuery_id}));

my(@tRecord)=&getRecordIfMatch($main::iDataFile,$main::iQuery_id,$tSanitizedTargetID,1);

if(&isSame($tRecord[0]{$main::iQuery_category},$main::lUnclassified))
{
	delete($tRecord[0]{$main::iQuery_category});
}

$main::gHeader.=&getHTTPResponse200Header();
$main::gHeader.=$main::gExtraHTTPHeader;
$main::gHeader.=&getHTTPContentHeader($main::lContentLanguage,$main::lCharset);

$main::gBody.=&getHTMLDocumentOpen($main::iTitle,$main::lContentLanguage,$main::lCharset,\@main::iCSSFile);
$main::gBody.=&getDumpIfExists($main::iNoticeFile);
$main::gBody.=&getHTMLFormOpen($main::gURL.'?'.$main::iQuery_action.'='.$main::iAction_execute_update,'post');
$main::gBody.=&getHTMLParagraphOpen();
$main::gBody.=&getHTMLHiddenField($main::iQuery_id,$tSanitizedTargetID);
$main::gBody.=&getHTMLHiddenField($main::iQuery_redirect_url,$ENV{'HTTP_REFERER'});
$main::gBody.=$main::lTitle.'<br>'."\n";
$main::gBody.=&getHTMLTextField($main::iQuery_title,&sanitize($tRecord[0]{$main::iQuery_title}),80,1024);
$main::gBody.=$main::lURL.'<br>'."\n";
$main::gBody.=&getHTMLTextField($main::iQuery_url,&sanitize($tRecord[0]{$main::iQuery_url}),80,1024);
$main::gBody.=$main::lCategory.'<br>'."\n";
$main::gBody.=&getHTMLTextField($main::iQuery_category,&sanitize($tRecord[0]{$main::iQuery_category}),80,1024);
$main::gBody.=$main::lComment.'<br>'."\n";
$main::gBody.=&getHTMLTextBox($main::iQuery_comment,&sanitize($tRecord[0]{$main::iQuery_comment}),80,4);
$main::gBody.=&getHTMLParagraphClose();
$main::gBody.=&getHTMLSubmitButtons($main::lUpdate,$main::lClear);
$main::gBody.=&getHTMLFormClose();
$main::gBody.=&getHTMLDocumentClose();

# ================================================================

1;
