# ================================================================

use strict;

# ================================================================

my($tEncodedTitle)=&encodeAsURL(&convertUTF8ToEUCJP(&decodeAsURL($main::gQueryURL{$main::iQuery_title})));
my($tEncodedURL)=$main::gQueryURL{$main::iQuery_url};
my($tURL)=&decodeAsURL($tEncodedURL);

my($tEncodedTime)=&encodeAsURL(&getCurrentTimeString());
my($tEncodedUserID)=&encodeAsURL(&getSessionVariable($main::gSessionID,$main::iQuery_user_id));

my($tEncodedCategory)=&encodeAsURL($main::lUnclassified);

if(&isSame($tEncodedTitle,''))
{
	$tEncodedTitle=&encodeAsURL($main::lNoTitle);
}

my(%tRecordData)=
(
	$main::iQuery_category => $tEncodedCategory,
	$main::iQuery_user_id  => $tEncodedUserID,
	$main::iQuery_title    => $tEncodedTitle,
	$main::iQuery_url      => $tEncodedURL,
	$main::iQuery_time     => $tEncodedTime
);

&addRecordAndDeleteIfMatch($main::iDataFile,$main::iQuery_id,$main::iQuery_url,$tURL,\%tRecordData,1);

&prepareHTTPResponse302($tURL,$main::gExtraHTTPHeader);

# ================================================================

1;
