# ================================================================

use strict;

# ================================================================

my($tEncodedID)=$main::gQueryPost{$main::iQuery_id};
my($tEncodedRedirectURL)=$main::gQueryPost{$main::iQuery_redirect_url};
my($tEncodedTitle)=$main::gQueryPost{$main::iQuery_title};
my($tEncodedURL)=$main::gQueryPost{$main::iQuery_url};
my($tEncodedCategory)=$main::gQueryPost{$main::iQuery_category};
my($tEncodedComment)=$main::gQueryPost{$main::iQuery_comment};

my($tID)=&decodeAsURL($tEncodedID);

my($tCategory)=&decodeAsURL($tEncodedCategory);

if(&isSame($tCategory,''))
{
	$tEncodedCategory=&encodeAsURL($main::lUnclassified);
}
else
{
	$tCategory=~ s/\r\n/ /g;
	$tCategory=~ s/@/ /g;

	$tEncodedCategory=&encodeAsURL($tCategory);
}

my(%tRecordData)=
(
	$main::iQuery_id       => $tEncodedID,
	$main::iQuery_title    => $tEncodedTitle,
	$main::iQuery_url      => $tEncodedURL,
	$main::iQuery_category => $tEncodedCategory,
	$main::iQuery_comment  => $tEncodedComment
);

&updateRecordIfMatch($main::iDataFile,$main::iQuery_id,$tID,\%tRecordData,1);

my($tRedirectURL)=&decodeAsURL($tEncodedRedirectURL);

&prepareHTTPResponse302($tRedirectURL,$main::gExtraHTTPHeader);

# ================================================================

1;
